# $Revision: 1.13 $, $Date: 2006/12/13 22:21:52 $
%define		_modname	cvsclient
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - CVS pserver client
Summary(pl):	%{_modname} - klient CVS pserver
Name:		php-pecl-%{_modname}
Version:	0.2
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	d25ca6d7797118edf37817fcb7e93bc7
URL:		http://pecl.php.net/package/cvsclient/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pserver client extension. Current version has read-only streams
wrapper. Later versions to include commit/diff/log support.

In PECL status of this package is: %{_status}.

%description -l pl
Modu klienta CVS pserver. Na chwil obecn dostpne jest wsparcie
tylko 'read only'. W nastpnych wersjach planowane jest wsparcie dla
komend commit/diff/log.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-cvsclient.spec,v $
Revision 1.13  2006/12/13 22:21:52  glen
- rel 5 (php 5.2.0)

Revision 1.12  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.11  2005/12/22 12:11:58  glen
- rel 4 (rebuild with new php)

Revision 1.10  2005/10/30 13:29:21  glen
- rel 3

Revision 1.9  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.8  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.7  2005/09/13 23:02:53  glen
- added conf.d and php api version

Revision 1.6  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.5  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.4  2004/05/30 15:58:59  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.3  2004/04/15 10:01:56  adamg
- status changed to beta

Revision 1.2  2004/04/15 10:00:58  adamg
- updated to 0.2

Revision 1.1  2003/12/06 22:00:33  adamg
- initial import

